View Issue Details

IDProjectCategoryView StatusLast Update
0033173LazarusIDEpublic2018-02-17 11:45
ReporterKārlis Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformLinux 86x64OSFedora 
Product Version1.8 
Summary0033173: Translations with context are not applied from *.mo files
DescriptionIn some forms for some object captions Lazarus generates records in the *.po file with 'msgctxt' value. Objects with such records become untranlated when You run your application.

Look at: https://forum.lazarus.freepascal.org/index.php/topic,36395.0.html
Steps To Reproduce1. Place at least to objects with the same caption on a form. Most likely the Lazarus will create msgctxt values for these objects.

2. Open and tranlate the *.po file. Export the translation to the *.mo file.

3. Run Your newly created application.
Additional InformationAt present the only solution is to remove any msgctxt line from *.po files before the creation of *.mo files
TagsNo tags attached.
Fixed in Revision57321
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Kārlis

2018-02-14 22:07

reporter  

missing_translation.7z (69,291 bytes)

Issue History

Date Modified Username Field Change
2018-02-14 22:07 Kārlis New Issue
2018-02-14 22:07 Kārlis File Added: missing_translation.7z
2018-02-16 00:03 Maxim Ganetsky LazTarget => -
2018-02-16 00:03 Maxim Ganetsky Status new => confirmed
2018-02-16 00:11 Maxim Ganetsky Summary *.po files contains wrong msgctxt strings => Translations from *.mo files containing context are not applied
2018-02-16 00:13 Maxim Ganetsky Summary Translations from *.mo files containing context are not applied => Translations with context are not applied from *.mo files
2018-02-17 11:45 Mattias Gaertner Fixed in Revision => 57321
2018-02-17 11:45 Mattias Gaertner Status confirmed => resolved
2018-02-17 11:45 Mattias Gaertner Resolution open => fixed
2018-02-17 11:45 Mattias Gaertner Assigned To => Mattias Gaertner